gi-harfbuzz-0.0.3: HarfBuzz bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.HarfBuzz.Structs.FontFuncsT

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype FontFuncsT = FontFuncsT (ManagedPtr FontFuncsT)

# Exported types

newtype FontFuncsT Source #

Memory-managed wrapper type.

Constructors

FontFuncsT (ManagedPtr FontFuncsT) |

#### Instances

Instances details

Eq FontFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontFuncsT Methods (==) :: FontFuncsT -> FontFuncsT -> Bool # (/=) :: FontFuncsT -> FontFuncsT -> Bool #
GBoxed FontFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontFuncsT
TypedObject FontFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontFuncsT Methods glibType :: IO GType Source #
ManagedPtrNewtype FontFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontFuncsT Methods toManagedPtr :: FontFuncsT -> ManagedPtr FontFuncsT Source #
IsGValue FontFuncsT Source # | Convert `FontFuncsT` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.FontFuncsT Methods toGValue :: FontFuncsT -> IO GValue Source # fromGValue :: GValue -> IO FontFuncsT Source #
HasParentTypes FontFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontFuncsT
type ParentTypes FontFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontFuncsT type ParentTypes FontFuncsT = '[] :: [Type]

# Methods

## Overloaded methods